Name:           telepathy-accounts-signon
Summary:        Telepathy integration for the Accounts SSO framework
Version:        2.1
Release:        %mkrel 5
License:        LGPLv2+
Group:          Networking/Instant messaging
URL:            https://gitlab.com/accounts-sso/%{name}
Source0:        https://gitlab.com/accounts-sso/%{name}/-/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(mission-control-plugins)
BuildRequires:  pkgconfig(libaccounts-glib)
BuildRequires:  pkgconfig(libsignon-glib) >= 2.0
BuildRequires:  pkgconfig(signond)

Requires:       telepathy-mission-control

%description
A mission control plugin for Telepathy, integrating with libaccounts and libsignon
to provide IM accounts and authentication.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING.LGPL
%doc README.md
%{_libdir}/mission-control-plugins.0/*.so


%changelog
* Sat Apr 08 2023 daviddavid <daviddavid> 2.1-5.mga9
+ Revision: 1951749
- add telepathy-mission-control as a runtime dependency

* Tue Apr 05 2022 umeabot <umeabot> 2.1-4.mga9
+ Revision: 1844902
- Mageia 9 Mass Rebuild

* Wed Apr 22 2020 daviddavid <daviddavid> 2.1-3.mga8
+ Revision: 1570686
- rebuild for new libaccounts-glib 1.25

* Tue Feb 18 2020 umeabot <umeabot> 2.1-2.mga8
+ Revision: 1539597
- Mageia 8 Mass Rebuild

* Mon Dec 09 2019 daviddavid <daviddavid> 2.1-1.mga8
+ Revision: 1465342
- new version: 2.1

* Thu Apr 18 2019 umeabot <umeabot> 2.0-2.mga7
+ Revision: 1392937
- Rebuild with meson 0.50.1

* Sat Jan 26 2019 daviddavid <daviddavid> 2.0-1.mga7
+ Revision: 1361085
- new version: 2.0 (to support libsignon-glib 2.0+)
- switch to meson build system

* Tue Jan 15 2019 daviddavid <daviddavid> 1.0-4.mga7
+ Revision: 1356958
- rebuild for new libaccounts-glib 1.24

* Sun Sep 23 2018 umeabot <umeabot> 1.0-3.mga7
+ Revision: 1301357
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild

* Mon Nov 23 2015 filipesaraiva <filipesaraiva> 1.0-1.mga6
+ Revision: 905043
- imported package telepathy-accounts-signon

